Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1691218 - too much output debug
Summary: too much output debug
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: createrepo_c
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: rpm-software-management
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-21 07:39 UTC by Remi Collet
Modified: 2019-06-06 02:34 UTC (History)
10 users (show)

Fixed In Version: createrepo_c-0.13.2-2.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-06 02:34:41 UTC
Type: Bug


Attachments (Terms of Use)
output (83.28 KB, text/plain)
2019-03-21 07:39 UTC, Remi Collet
no flags Details

Description Remi Collet 2019-03-21 07:39:45 UTC
Created attachment 1546366 [details]
output

Since update to 0.12.2, createrepo_c generates tons of debug message.

Please revert to something useful as in previous version, or add command line option to set verbose level

Output example attached

Comment 1 Remi Collet 2019-03-21 08:16:17 UTC
Yes I have noticed the --quiet / --verbose options, so such output should obviously be in --verbose mode, keeping default output "minimal", as too much output will hide possible problems.

Comment 2 Remi Collet 2019-03-21 09:46:53 UTC
modifyrepo_c is also affected, but don't have any --quiet option :(

Comment 3 Paul Howarth 2019-03-21 11:43:22 UTC
This is now affecting F29 too.

Comment 4 amatej 2019-04-01 07:27:55 UTC
I believe there is a PR for this: https://github.com/rpm-software-management/createrepo_c/pull/141

Comment 5 Fedora Update System 2019-05-24 12:30:55 UTC
createrepo_c-0.13.2-2.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-c1840c618b

Comment 6 Fedora Update System 2019-06-06 02:34:41 UTC
createrepo_c-0.13.2-2.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.